View Issue Details

IDProjectCategoryView StatusLast Update
0023436mantisbtfilterspublic2017-10-08 23:52
Reporterhelfy022Assigned Tocproensa 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version2.5.1 
Target Version2.7.0Fixed in Version2.7.0 
Summary0023436: Editing a stored filter can't update projects property
Description

Hello,

Multiple users have cited an issue with changing the project designation for a saved filter (i.e., stored query). In particular, while the user edited and saved a change to the project filter designation, that change is not sticking.

Here's an example sequence:

  • View Issues -> Edit the search fields but leave ::Project as All Projects
  • Save the filter (We'll call it FOO)
  • Select some other pre-existing filter - the expected results are seen
  • Filter -> Edit (FOO), modify the ::Project to be <some specific project name>, Save
  • Select some other filter
  • Select the FOO filter
    --> The results will be shown for ::Project==AllProjects (i.e., the change to <some specific project name> was not saved)

Apologies if this is a duplicate issue. If another similar one has been filed, I was unable to find it.

Thanks very much,
Ryan.

TagsNo tags attached.

Activities

helfy022

helfy022

2017-10-04 16:39

reporter   ~0057893

One more piece of information - the only found workaround is to save the filter under a different name (i.e., changing the project designation for an existing saved filter is not sticking).

Thanks,
Ryan.

cproensa

cproensa

2017-10-05 17:16

developer   ~0057900

Thanks. Submitted a fix:
https://github.com/mantisbt/mantisbt/pull/1204

helfy022

helfy022

2017-10-06 10:19

reporter   ~0057903

Thanks, @cproensa!

What is the target MantisBT release for incorporating the fix? Apologies if it's been noted and I missed it.

Thanks again,
Ryan.

atrol

atrol

2017-10-06 10:37

developer   ~0057904

Last edited: 2017-10-06 10:38

View 2 revisions

What is the target MantisBT release

Maybe 2.7, but watch fields Target Version and Fixed in Version.

@helfy022 can you confirm that the change fixes your issue?

helfy022

helfy022

2017-10-06 17:06

reporter   ~0057906

Hi @atrol,

Sounds good. I will indeed watch for the update on those fields.

Modifying the core config is not an option, so I am unable to test out the fixes.

Thanks very much,
Ryan.

cproensa

cproensa

2017-10-08 11:25

developer   ~0057908

updated issue title for changelog

Related Changesets

MantisBT: master ac722d58

2017-10-05 17:09:59

cproensa


Committer: dregad Details Diff
Fix updating projects in filter edit.

Two form inputs with the same name was causing to not updating the
"projects" attribute when editing a filter.

Fixes: 0023436
mod - manage_filter_edit_page.php Diff File
mod - manage_filter_edit_update.php Diff File

Issue History

Date Modified Username Field Change
2017-10-04 16:38 helfy022 New Issue
2017-10-04 16:39 helfy022 Note Added: 0057893
2017-10-05 17:15 cproensa Assigned To => cproensa
2017-10-05 17:15 cproensa Status new => assigned
2017-10-05 17:16 cproensa Note Added: 0057900
2017-10-06 10:19 helfy022 Note Added: 0057903
2017-10-06 10:37 atrol Note Added: 0057904
2017-10-06 10:38 atrol Note Edited: 0057904 View Revisions
2017-10-06 17:06 helfy022 Note Added: 0057906
2017-10-07 11:56 dregad Changeset attached => MantisBT master ac722d58
2017-10-07 11:56 cproensa Status assigned => resolved
2017-10-07 11:56 cproensa Resolution open => fixed
2017-10-07 11:56 cproensa Fixed in Version => 2.7.0
2017-10-07 12:07 atrol Target Version => 2.7.0
2017-10-08 11:24 cproensa Summary edit saved filter issue => Editing a stored filter can't update projects property
2017-10-08 11:25 cproensa Note Added: 0057908
2017-10-08 23:52 vboctor Status resolved => closed